İçeriğe geç

Luma Ray 3.2 Text to Video

Entegre et

Model kimliği luma/agent/ray/v3.2/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/ray/v3.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,50 500 API kredisi · ≈ ₽53,79 Bu sayfada çalıştır

API anahtarı al
Luma AI Metinden Videoya Dudak senkronizasyonu5–10 s1080p değerine kadar #stylized#transform#lipsync

5s veya 10s klipler, altı en-boy oranı, döngü ve EXR çıktılı isteğe bağlı HDR ile Ray 3.2 metinden videoya

Luma AI · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 6000

Oluşturulacak videonun metin açıklaması.

duration 5 s

Üretilen videonun uzunluğu.

aspect_ratio varsayılan 16:9

Ortaya çıkan videonun en-boy oranı.

resolution varsayılan 540p

Çıktı videosunun çözünürlüğü.

Gelişmiş loop · enable_safety_checker
POST /run/luma/agent/ray/v3.2/text-to-video?wait=20 fiyat → $0,50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma/agent/ray/v3.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Luma Ray 3.2 Text to Video hakkında

6000 karaktere kadar bir `prompt` ile video oluşturur. `aspect_ratio` 3:4 ile 21:9 arasında değişir; çözünürlük 540p, 720p veya 1080p ve `duration` 5s veya 10s'tir. `loop` yalnızca 5s standart aralık kliplerinde çalışır; `hdr` için 720p veya 1080p gerekir ve 10s ile loop'u dışlar. HDR açıkken `exr_export` bir EXR dosyası ekler.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 6.000 karakter
Oluşturulacak videonun metin açıklaması.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
3:44:31:19:1616:921:9
Ortaya çıkan videonun en-boy oranı.
resolutionisteğe bağlı
Türenum
Varsayılan540p
540p720p1080p
Çıktı videosunun çözünürlüğü.
durationisteğe bağlı
Türenum
Varsayılan5s
5s10s
Üretilen videonun uzunluğu.
loopisteğe bağlı
Türboolean
Varsayılanfalse
Şunların tümünü gerektiren kesintisiz döngü seçeneği: 5s süre, standart dinamik aralık ve son kare olmaması.
hdristeğe bağlı
Türboolean
Varsayılanfalse
720p veya 1080p'de MP4 çıktısı için HDR kodlaması; yalnızca HDR erişimine sahip hesaplarda kullanılabilir. HDR, 10s süre veya döngü ile kullanılamaz.
exr_exportisteğe bağlı
Türboolean
Varsayılanfalse
MP4'e eşlik eden ek EXR dışa aktarımı; yalnızca hem HDR erişimi hem de hdr=true ile kullanılabilir.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma/agent/ray/v3.2/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 500,
    "usd": "0.50",
    "charged": 500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "exr_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.
exr_file
object {url, content_type, file_name, file_size} | nullLuma'nın dışa aktardığı biçimde EXR yan dosyası: tek bir EXR dosyası veya ZIP arşivi. exr_export true olduğunda oluşturulur.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/luma/agent/ray/v3.2/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt